/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.farm;

import javax.swing.JComboBox;
import nl.cloudfarming.client.farm.model.FarmDetailsPanel;
import nl.cloudfarming.client.model.Address;
import nl.cloudfarming.client.model.IssuingAgency;
import org.openide.util.NbBundle.Messages;

/**
 *
 * @author Timon Veenstra
 */
@Messages({
    "farm.wizard.checkbox.create_fieldplan=Create a fieldplan for this Farm after wizard finishes."
})
public class FarmWizardDetailsVisual extends FarmDetailsPanel{
    protected JComboBox farmIssuingAgencyComboBox;

    
    /**
     * Creates new form FarmWizardDetailsVisual
     */
    FarmWizardDetailsVisual(Address adress) {
        super(new JComboBox(IssuingAgency.values()), adress);
        farmIssuingAgencyComboBox = (JComboBox) farmIssuingAgencyComponent;
        
        initComponents();
    }

    private void initComponents() {
        // the farm name will be the same as the projectname,
        // which was already entered and validated in the previous wizard step:
        farmNameTextField.setEditable(false);
    }
    
    public JComboBox getFarmIssuingComboBox(){
        return farmIssuingAgencyComboBox;
    }
    
    @Override
    public IssuingAgency getFarmIssuingAgency() {
        return (IssuingAgency) farmIssuingAgencyComboBox.getSelectedItem();
    }

    @Override
    public void setFarmIssuingAgency(IssuingAgency issuingAgency) {
        farmIssuingAgencyComboBox.setSelectedItem(issuingAgency);
    }
}
